import { OnInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { NgxUiLoaderHelperService } from './ngx-ui-loader-helper.service';
import { Subscription } from 'rxjs';
import { NgxUiLoaderConfig } from './ngx-ui-loader-config';
export declare class NgxUiLoaderComponent implements OnChanges, OnDestroy, OnInit {
    private domSanitizer;
    private helperService;
    bgsColor: string;
    bgsOpacity: number;
    bgsPosition: string;
    bgsSize: number;
    bgsType: string;
    fgsColor: string;
    fgsPosition: string;
    fgsSize: number;
    fgsType: string;
    gap: number;
    logoPosition: string;
    logoSize: number;
    logoUrl: string;
    overlayColor: string;
    pbColor: string;
    pbDirection: string;
    pbThickness: number;
    text: string;
    textColor: string;
    textPosition: string;
    fgDivs: number[];
    fgSpinnerClass: string;
    bgDivs: number[];
    bgSpinnerClass: string;
    showForeground: boolean;
    showBackground: boolean;
    foregroundClosing: boolean;
    backgroundClosing: boolean;
    trustedLogoUrl: any;
    logoTop: any;
    spinnerTop: any;
    textTop: any;
    showForegroundWatcher: Subscription;
    showBackgroundWatcher: Subscription;
    foregroundClosingWatcher: Subscription;
    backgroundClosingWatcher: Subscription;
    defaultConfig: NgxUiLoaderConfig;
    private initialized;
    /**
     * Constructor
     * @param domSanitizer
     * @param helperService
     */
    constructor(domSanitizer: DomSanitizer, helperService: NgxUiLoaderHelperService);
    /**
     * On init event
     */
    ngOnInit(): void;
    /**
     * On changes event
     * @param changes
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Initialize spinners
     */
    private initializeSpinners();
    /**
     * Determine the positions of spinner, logo and text
     */
    private determinePositions();
    /**
     * On destroy event
     */
    ngOnDestroy(): void;
}
